#
# spec file for package lector
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define display_name Lector
Name:           lector
Version:        0.5.1
Release:        3.3
Summary:        Qt based ebook reader
License:        GPL-3.0-or-later
Group:          Productivity/Graphics/Viewers
URL:            https://github.com/BasioMeusPuga/%{display_name}
Source:         https://github.com/BasioMeusPuga/%{display_name}/archive/%{version}.tar.gz#/%{display_name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python3-devel
BuildRequires:  python3-qt5
BuildRequires:  python3-setuptools
BuildRequires:  update-desktop-files
Requires:       python3 >= 3.6
Requires:       python3-beautifulsoup4
Requires:       python3-lxml
Requires:       python3-qt5
Requires:       python3-xmltodict
Recommends:     python3-PyMuPDF
Recommends:     python3-poppler-qt5
BuildArch:      noarch

%description

Currently supports:

* pdf
* epub
* mobi
* azw / azw3 / azw4
* cbr / cbz

%prep
%setup -q -n %{display_name}-%{version}

%build
%python3_build

%install
%python3_install

%suse_update_desktop_file %{buildroot}%{_datadir}/applications/%{name}.desktop

%fdupes -s %{buildroot}/%{_prefix}

%python3_fix_shebang

%files
%defattr(-,root,root)
%license LICENSE
%doc README.md AUTHORS TODO
%{python3_sitelib}/*
%attr(0755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/apps
%{_datadir}/icons/hicolor/scalable/apps/%{display_name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Apr 11 2024 pgajdos@suse.com
- remove dependency on /usr/bin/python3 using
  %%python3_fix_shebang macro, [bsc#1212476]
* Thu May 23 2019 Yunhe Guo <i@guoyunhe.me>
- Add python3-PyMuPDF as recommends
* Sun Mar 10 2019 Yunhe Guo <i@guoyunhe.me>
- Add python3-xmltodict dependency
- Version 0.5.1
  * Bugfixes
- Version 0.5
  * fb2 support
  * Comicbooks / PDFs: Double page mode, Manga mode, Image color inversion
  * Search functionality
  * Way better sidedock
  * Seriously overhauled ToC generation for all filetypes. Now with more tree view
  * Error logging - Error notifications
  * Much better error handling
  * UI improvements
  * Bugfixes
* Sun Jun 10 2018 jengelh@inai.de
- Remove unrealized future plans.
* Fri Jun  1 2018 guoyunhebrave@gmail.com
- Version 0.4
  * Text annotations
  * Drag and drop support
  * Better spacebar navigation
  * More granular progress measurement
  * Remove dependency on requests
  * Redesign settings dialog
  * In-built internet searching
  * Miscellaneous UI Improvements
  * Bugfixes
  * Chinese (simplified) translation by jaccsr
- Remove python3-requests
* Fri Jun  1 2018 guoyunhebrave@gmail.com
- Remove %%verify macro and add %%defattr macro
- Use %%fdupes macro
* Wed Apr 11 2018 guoyunhebrave@gmail.com
- Version 0.3.1
  * Application icon and .desktop file
  * Distraction free mode
  * Internationalization support
  * Context menus for reading views
  * UI Improvements
  * Bug fixes
- Version 0.2.0
  * Preliminary pdf support
  * Ludicrous speed™ caching of image files in comics
  * Included icon theme
  * GUI improvements
  * Bug fixes
- Version 0.1.0
  * First release
